# -*- coding: utf-8 -*-
"""
metadata for the PyXtal step in a SEAMM flowchart
"""

point_groups = (
    "C1",
    "Ci",
    "C2",
    "Cs",
    "C2h",
    "D2",
    "C2v",
    "D2h",
    "C4",
    "S4",
    "C4h",
    "D4",
    "C4v",
    "D2d",
    "D4h",
    "C3",
    "C3i",
    "D3",
    "C3v",
    "D3d",
    "C6",
    "C3h",
    "C6h",
    "D6",
    "C6v",
    "D3h",
    "D6h",
    "T",
    "Th",
    "O",
    "Td",
    "Oh",
    "C5",
    "C7",
    "C8",
    "D5",
    "D7",
    "D8",
    "C5v",
    "C7v",
    "C8v",
    "C5h",
    "D5h",
    "D7h",
    "D8h",
    "D4d",
    "D5d",
    "D6d",
    "D7d",
    "D8d",
    "S6",
    "S8",
    "S10",
    "S12",
    "I",
    "Ih",
    "C*",
    "C*h",
)

rod_groups = (
    "p1",
    "p-1",
    "p211",
    "pm11",
    "pc11",
    "p2/m11",
    "p2/c11",
    "p112",
    "p1121",
    "p11m",
    "p112/m",
    "p1121/m",
    "p222",
    "p2221",
    "pmm2",
    "pcc2",
    "pmc21",
    "p2mm",
    "p2cm",
    "pmmm",
    "pccm",
    "pmcm",
    "p4",
    "p41",
    "p42",
    "p43",
    "p-4",
    "p4/m",
    "p42/m",
    "p422",
    "p4122",
    "p4222",
    "p4322",
    "p4mm",
    "p42cm",
    "p4cc",
    "p-42m",
    "p-42c",
    "p4/mmm",
    "p4/mcc",
    "p42/mmc",
    "p3",
    "p31",
    "p32",
    "p-3",
    "p312",
    "p3112",
    "p3212",
    "p3m1",
    "p3c1",
    "p-31m",
    "p-31c",
    "p6",
    "p61",
    "p62",
    "p63",
    "p64",
    "p65",
    "p-6",
    "p6/m",
    "p63/m",
    "p622",
    "p6122",
    "p6222",
    "p6322",
    "p6422",
    "p6522",
    "p6mm",
    "p6cc",
    "p63mc",
    "p-6m2",
    "p-6c2",
    "p6/mmm",
    "p6/mcc",
    "p6/mmc",
)

layer_groups = (
    "p1",
    "p-1",
    "p112",
    "p11m",
    "p11a",
    "p112/m",
    "p112/a",
    "p211",
    "p2111",
    "c211",
    "pm11",
    "pb11",
    "cm11",
    "p2/m11",
    "p21/m11",
    "p2/b11",
    "p21/b11",
    "c2/m11",
    "p222",
    "p2122",
    "p21212",
    "c222",
    "pmm2",
    "pma2",
    "pba2",
    "cmm2",
    "pm2m",
    "pm21b",
    "pb21m",
    "pb2b",
    "pm2a",
    "pm21n",
    "pb21a",
    "pb2n",
    "cm2m",
    "cm2e",
    "pmmm",
    "pmaa",
    "pban",
    "pmam",
    "pmma",
    "pman",
    "pbaa",
    "pbam",
    "pbma",
    "pmmn",
    "cmmm",
    "cmme",
    "p4",
    "p-4",
    "p4/m",
    "p4/n",
    "p422",
    "p4212",
    "p4mm",
    "p4bm",
    "p-42m",
    "p-421m",
    "p-4m2",
    "p-4b2",
    "p4/mmm",
    "p4/nbm",
    "p4/mbm",
    "p4/nmm",
    "p3",
    "p-3",
    "p312",
    "p321",
    "p3m1",
    "p31m",
    "p-31m",
    "p-3m1",
    "p6",
    "p-6",
    "p6/m",
    "p622",
    "p6mm",
    "p-6m2",
    "p-62m",
    "p6/mmm",
)

space_groups = (
    "P1",
    "P-1",
    "P2",
    "P21",
    "C2",
    "Pm",
    "Pc",
    "Cm",
    "Cc",
    "P2/m",
    "P21/m",
    "C2/m",
    "P2/c",
    "P21/c",
    "C2/c",
    "P222",
    "P2221",
    "P21212",
    "P212121",
    "C2221",
    "C222",
    "F222",
    "I222",
    "I212121",
    "Pmm2",
    "Pmc21",
    "Pcc2",
    "Pma2",
    "Pca21",
    "Pnc2",
    "Pmn21",
    "Pba2",
    "Pna21",
    "Pnn2",
    "Cmm2",
    "Cmc21",
    "Ccc2",
    "Amm2",
    "Aem2",
    "Ama2",
    "Aea2",
    "Fmm2",
    "Fdd2",
    "Imm2",
    "Iba2",
    "Ima2",
    "Pmmm",
    "Pnnn",
    "Pccm",
    "Pban",
    "Pmma",
    "Pnna",
    "Pmna",
    "Pcca",
    "Pbam",
    "Pccn",
    "Pbcm",
    "Pnnm",
    "Pmmn",
    "Pbcn",
    "Pbca",
    "Pnma",
    "Cmcm",
    "Cmce",
    "Cmmm",
    "Cccm",
    "Cmme",
    "Ccce",
    "Fmmm",
    "Fddd",
    "Immm",
    "Ibam",
    "Ibca",
    "Imma",
    "P4",
    "P41",
    "P42",
    "P43",
    "I4",
    "I41",
    "P-4",
    "I-4",
    "P4/m",
    "P42/m",
    "P4/n",
    "P42/n",
    "I4/m",
    "I41/a",
    "P422",
    "P4212",
    "P4122",
    "P41212",
    "P4222",
    "P42212",
    "P4322",
    "P43212",
    "I422",
    "I4122",
    "P4mm",
    "P4bm",
    "P42cm",
    "P42nm",
    "P4cc",
    "P4nc",
    "P42mc",
    "P42bc",
    "I4mm",
    "I4cm",
    "I41md",
    "I41cd",
    "P-42m",
    "P-42c",
    "P-421m",
    "P-421c",
    "P-4m2",
    "P-4c2",
    "P-4b2",
    "P-4n2",
    "I-4m2",
    "I-4c2",
    "I-42m",
    "I-42d",
    "P4/mmm",
    "P4/mcc",
    "P4/nbm",
    "P4/nnc",
    "P4/mbm",
    "P4/mnc",
    "P4/nmm",
    "P4/ncc",
    "P42/mmc",
    "P42/mcm",
    "P42/nbc",
    "P42/nnm",
    "P42/mbc",
    "P42/mnm",
    "P42/nmc",
    "P42/ncm",
    "I4/mmm",
    "I4/mcm",
    "I41/amd",
    "I41/acd",
    "P3",
    "P31",
    "P32",
    "R3",
    "P-3",
    "R-3",
    "P312",
    "P321",
    "P3112",
    "P3121",
    "P3212",
    "P3221",
    "R32",
    "P3m1",
    "P31m",
    "P3c1",
    "P31c",
    "R3m",
    "R3c",
    "P-31m",
    "P-31c",
    "P-3m1",
    "P-3c1",
    "R-3m",
    "R-3c",
    "P6",
    "P61",
    "P65",
    "P62",
    "P64",
    "P63",
    "P-6",
    "P6/m",
    "P63/m",
    "P622",
    "P6122",
    "P6522",
    "P6222",
    "P6422",
    "P6322",
    "P6mm",
    "P6cc",
    "P63cm",
    "P63mc",
    "P-6m2",
    "P-6c2",
    "P-62m",
    "P-62c",
    "P6/mmm",
    "P6/mcc",
    "P63/mcm",
    "P63/mmc",
    "P23",
    "F23",
    "I23",
    "P213",
    "I213",
    "Pm-3",
    "Pn-3",
    "Fm-3",
    "Fd-3",
    "Im-3",
    "Pa-3",
    "Ia-3",
    "P432",
    "P4232",
    "F432",
    "F4132",
    "I432",
    "P4332",
    "P4132",
    "I4132",
    "P-43m",
    "F-43m",
    "I-43m",
    "P-43n",
    "F-43c",
    "I-43d",
    "Pm-3m",
    "Pn-3n",
    "Pm-3n",
    "Pn-3m",
    "Fm-3m",
    "Fm-3c",
    "Fd-3m",
    "Fd-3c",
    "Im-3m",
    "Ia-3d",
)
